LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 05-04-2003, 10:41 PM   #1
massacrezero
LQ Newbie
 
Registered: May 2003
Location: Florida
Distribution: Mandrake 9
Posts: 9

Rep: Reputation: 0
Compiling/Installing GTK+ and glibc


Hey Kids.

I've run into some problems doing this before, so here I am, running Mandrake 9.0 and trying to upgrade some packages. After running this same distribution for several months, and screwing it royally with many "newbie" mistakes I'm sure, I decided to clear it out and start over. My original intent was to install the newest version of my favorite AIM clone, Gaim. Unfortunately, I apparently need some packages, most notably glibc and gtk+ upgrades.

See: http://members.tripod.com/quemple/screenshot.htm for the screenshot.

On my "to install" list now lies (in alphabetical order :P):

binutils 2.9.1
gcc 3.2.3
gettext 0.11.5
make 3.80 (gnu)
atk 1.2.0
glib 2.2.1
glibc 2.3.2
gtk+ 2.2.1
jpegsrc.vb6
libpng 1.2.5
pango 1.2.1
pkgconfig 0.14.0
tiff 3.5.7

These are all tarballs (ie .tar.gz).

Any suggestions to this (please assume) total newbie? Am I doing this the hard way? Any special precautions and/or commands to run. I am reading/hearing about LD_CONFIG_PATH and ldconfig a lot, but am still not really sure what they are/how to manipulate them.

Any miscellaneous advice/things to read is appreciated.

-Ryan Tomlinson-
massacre0@yahoo.com
 
Old 05-05-2003, 07:35 PM   #2
massacrezero
LQ Newbie
 
Registered: May 2003
Location: Florida
Distribution: Mandrake 9
Posts: 9

Original Poster
Rep: Reputation: 0
hm?
 
Old 05-06-2003, 03:17 AM   #3
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,407

Rep: Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965
blimey you're going to install ALL of that from source? Even I'm not brave enough to do that blindfolded... use the RPMS, that's what they're there for.
 
Old 05-06-2003, 03:18 AM   #4
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,407

Rep: Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965
and also if you did install them by source perfectly, it still wouldn't work as the mandrake installer is rpm based and only gives a sh*t about what it says is installed in the rpm database, not the files that are actually there on the system.
 
Old 05-06-2003, 04:04 AM   #5
mhearn
Guru
 
Registered: Nov 2002
Location: Durham, England
Distribution: Fedora Core 4
Posts: 1,565

Rep: Reputation: 47
Don't do that, the presence of glibc in that list shows that you're trying to install a Mandrake 9.1 package into 9.0 which won't work (you can upgrade all those packages except glibc). Instead, recompile Gaim from source for your distro.
 
Old 05-07-2003, 08:01 PM   #6
massacrezero
LQ Newbie
 
Registered: May 2003
Location: Florida
Distribution: Mandrake 9
Posts: 9

Original Poster
Rep: Reputation: 0
Well, no thanks to you guys :P but I did fix the problem.

I:

1) installed pkgconfig 0.15.0
2) installed glib 2.2.1
3) installed gtk+ 2.2.1

from source (with --prefix=/usr)

4) updated my /etc/ld.so.conf
5) ran /sbin/ldconfig
6) installed gaim 0.62 from source

and had fun.

thanks,
ryan
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
problem installing glibc-2.3.2-4.80.i686, glibc-common-2.3.2-4.80.8.i386.rpm martianpackets Red Hat 8 05-01-2009 03:22 PM
Compiling glibc-2.3.5 or glibc 2.3.5-r1 on Gentoo fails ghrellin Linux - Software 2 07-19-2005 01:01 AM
Compiling and Installing GTK+ SidewinderASU Linux - Software 5 07-08-2005 04:26 PM
how do I find my glibc and gtk+ versions? butthead Linux - Software 1 08-09-2004 12:29 PM
compiling gaim/ gtk error (two versions of gtk) webazoid Linux - Software 0 07-06-2004 06:05 PM


All times are GMT -5. The time now is 05:37 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration